## EmpathyChatView EmpathyChatView |

## Synopsis

                        EmpathyChatView;
    EmpathyChatView*    empathy_chat_view_new               (void);
    void                empathy_chat_view_append_message    (EmpathyChatView *view,
                                                             EmpathyMessage *msg);
    void                empathy_chat_view_append_event      (EmpathyChatView *view,
                                                             const gchar *str);
    void                empathy_chat_view_append_button     (EmpathyChatView *view,
                                                             const gchar *message,
                                                             GtkWidget *button1,
                                                             GtkWidget *button2);
    void                empathy_chat_view_scroll            (EmpathyChatView *view,
                                                             gboolean allow_scrolling);
    void                empathy_chat_view_scroll_down       (EmpathyChatView *view);
    gboolean            empathy_chat_view_get_selection_bounds
                                                            (EmpathyChatView *view,
                                                             GtkTextIter *start,
                                                             GtkTextIter *end);
    void                empathy_chat_view_clear             (EmpathyChatView *view);
    gboolean            empathy_chat_view_find_previous     (EmpathyChatView *view,
                                                             const gchar *search_criteria,
                                                             gboolean new_search);
    gboolean            empathy_chat_view_find_next         (EmpathyChatView *view,
                                                             const gchar *search_criteria,
                                                             gboolean new_search);
    void                empathy_chat_view_find_abilities    (EmpathyChatView *view,
                                                             const gchar *search_criteria,
                                                             gboolean *can_do_previous,
                                                             gboolean *can_do_next);
    void                empathy_chat_view_highlight         (EmpathyChatView *view,
                                                             const gchar *text);
    void                empathy_chat_view_copy_clipboard    (EmpathyChatView *view);
    EmpathyTheme*       empathy_chat_view_get_theme         (EmpathyChatView *view);
    void                empathy_chat_view_set_theme         (EmpathyChatView *view,
                                                             EmpathyTheme *theme);
    void                empathy_chat_view_set_margin        (EmpathyChatView *view,
                                                             gint margin);
    GtkWidget*          empathy_chat_view_get_smiley_menu   (GCallback callback,
                                                             gpointer user_data);
    time_t              empathy_chat_view_get_last_timestamp
                                                            (EmpathyChatView *view);
    void                empathy_chat_view_set_last_timestamp
                                                            (EmpathyChatView *view,
                                                             time_t timestamp);
    EmpathyContact*     empathy_chat_view_get_last_contact  (EmpathyChatView *view);
    GdkPixbuf*          empathy_chat_view_get_avatar_pixbuf_with_cache
                                                            (EmpathyContact *contact);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTextView
                                     +----EmpathyChatView

## Implemented Interfaces

EmpathyChatView implements AtkImplementorIface and GtkBuildable.

## Description

## Details

### EmpathyChatView

    typedef struct _EmpathyChatView EmpathyChatView;

### empathy_chat_view_new ()

    EmpathyChatView*    empathy_chat_view_new               (void);

Returns : |

### empathy_chat_view_append_message ()

    void                empathy_chat_view_append_message    (EmpathyChatView *view,
                                                             EmpathyMessage *msg);

`view` : |
`msg` : |

### empathy_chat_view_append_event ()

    void                empathy_chat_view_append_event      (EmpathyChatView *view,
                                                             const gchar *str);

`view` : |
`str` : |

### empathy_chat_view_append_button ()

    void                empathy_chat_view_append_button     (EmpathyChatView *view,
                                                             const gchar *message,
                                                             GtkWidget *button1,
                                                             GtkWidget *button2);

`view` : |
`message` : |
`button1` : |
`button2` : |

### empathy_chat_view_scroll ()

    void                empathy_chat_view_scroll            (EmpathyChatView *view,
                                                             gboolean allow_scrolling);

`view` : |
`allow_scrolling` : |

### empathy_chat_view_scroll_down ()

    void                empathy_chat_view_scroll_down       (EmpathyChatView *view);

`view` : |

### empathy_chat_view_get_selection_bounds ()

    gboolean            empathy_chat_view_get_selection_bounds
                                                            (EmpathyChatView *view,
                                                             GtkTextIter *start,
                                                             GtkTextIter *end);

`view` : |
`start` : |
`end` : |
Returns : |

### empathy_chat_view_clear ()

    void                empathy_chat_view_clear             (EmpathyChatView *view);

`view` : |

### empathy_chat_view_find_previous ()

    gboolean            empathy_chat_view_find_previous     (EmpathyChatView *view,
                                                             const gchar *search_criteria,
                                                             gboolean new_search);

`view` : |
`search_criteria` : |
`new_search` : |
Returns : |

### empathy_chat_view_find_next ()

    gboolean            empathy_chat_view_find_next         (EmpathyChatView *view,
                                                             const gchar *search_criteria,
                                                             gboolean new_search);

`view` : |
`search_criteria` : |
`new_search` : |
Returns : |

### empathy_chat_view_find_abilities ()

    void                empathy_chat_view_find_abilities    (EmpathyChatView *view,
                                                             const gchar *search_criteria,
                                                             gboolean *can_do_previous,
                                                             gboolean *can_do_next);

`view` : |
`search_criteria` : |
`can_do_previous` : |
`can_do_next` : |

### empathy_chat_view_highlight ()

    void                empathy_chat_view_highlight         (EmpathyChatView *view,
                                                             const gchar *text);

`view` : |
`text` : |

### empathy_chat_view_copy_clipboard ()

    void                empathy_chat_view_copy_clipboard    (EmpathyChatView *view);

`view` : |

### empathy_chat_view_get_theme ()

    EmpathyTheme*       empathy_chat_view_get_theme         (EmpathyChatView *view);

`view` : |
Returns : |

### empathy_chat_view_set_theme ()

    void                empathy_chat_view_set_theme         (EmpathyChatView *view,
                                                             EmpathyTheme *theme);

`view` : |
`theme` : |

### empathy_chat_view_set_margin ()

    void                empathy_chat_view_set_margin        (EmpathyChatView *view,
                                                             gint margin);

`view` : |
`margin` : |

### empathy_chat_view_get_smiley_menu ()

    GtkWidget*          empathy_chat_view_get_smiley_menu   (GCallback callback,
                                                             gpointer user_data);

`callback` : |
`user_data` : |
Returns : |

### empathy_chat_view_get_last_timestamp ()

    time_t              empathy_chat_view_get_last_timestamp
                                                            (EmpathyChatView *view);

`view` : |
Returns : |

### empathy_chat_view_set_last_timestamp ()

    void                empathy_chat_view_set_last_timestamp
                                                            (EmpathyChatView *view,
                                                             time_t timestamp);

`view` : |
`timestamp` : |

### empathy_chat_view_get_last_contact ()

    EmpathyContact*     empathy_chat_view_get_last_contact  (EmpathyChatView *view);

`view` : |
Returns : |

### empathy_chat_view_get_avatar_pixbuf_with_cache ()

    GdkPixbuf*          empathy_chat_view_get_avatar_pixbuf_with_cache
                                                            (EmpathyContact *contact);

`contact` : |
Returns : |